/*
 * Copyright (C) 2004 emuWorks
 * http://games.technoplaza.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package chtdecoder.tools;

import chtdecoder.datastructures.CHTCodeIterator;

/**
 * A class to read .CHT files and iterate over the codes inside.
 *
 * @author John David Ratliff
 * @version 1.1, 09/14/04
 */
public interface CHTFileReader {
    /**
     * Returns an iterator for the CHTCodes read from the .CHT file.
     *
     * @return The iterator.
     */
    public CHTCodeIterator iterator();
}
